Subject: Re: bug#3080: 23.0.92; emacsclient can not open frame without visiting file

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Apr 2009 11:02:04 -0400

> Hi, Dan.  Thanks for the response.  What I was trying to outline below
> was partially whether the functionality worked or not, but also that
> the emacsclient interface is different that the standard emacs
> interface, and that this seems a little bit unfortunate, seeing as
> they could be the same.

The reason is simply that "emacsclient" has existed for a long time and
the previous behavior was not compatible with the one of "emacs".

> Would it be possible to have them be the same?

Only by breaking compatibility with scripts that were written for
older "emacsclient"s.

Note that if you really switch to a setup based on emacs-daemon, then
you'll only ever use "emacsclient" on the command line, so the
compatibility with the "emacs" command line wouldn't be that important.

        Stefan